Subject: [PATCH v2] ARM: vexpress: Add unified-cache Device Tree property

From: [email-masked] (Sudeep Holla)
Date: Mon, 18 May 2015 09:58:40 +0100

On 16/05/15 21:13, Robert Schwebel wrote:
> Hi Sudeep,
>
> On Thu, Apr 30, 2015 at 06:45:10PM +0100, Sudeep Holla wrote:
>>> I still see these errors with 4.1-rc1:
>>>
>>> [    0.000000] L2C: platform modifies aux control register: 0x02020000 -> 0x02420000
>>> [    0.000000] L2C: DT/platform modifies aux control register: 0x02020000 -> 0x02420000
>>> [    0.268626] platform 10000000.sysreg: Error -2 creating of_node link
>>> [    0.271997] platform basic-mmio-gpio.1.auto: Error -2 creating of_node link
>>> [    0.272266] platform basic-mmio-gpio.2.auto: Error -2 creating of_node link
>>> [    0.272681] platform basic-mmio-gpio.3.auto: Error -2 creating of_node link
>>
>> OK, I was able to debug this, it boils down to initcall ordering.
>> Both of_init where the firmware sysfs is initialized and
>> vexpress_sysreg_init are at same core_initcall level. Needs some
>> thinking and more time to fix this.
>
> Did you find out something in the meantime?
> I just tested 4.1-rc3 and the issues are still confirmed.
>

Ah sorry, forgot to include you or your Reported-by(will
fix that if/when I have to repost a newer version)
I posted the patch but not yet pulled in mainline yet [1]

Regards,
Sudeep

[1] https://lkml.org/lkml/2015/5/14/360